<!-- comment
   SPDX-FileCopyrightText: 2015-2023 Sebastian Wagner, Filip Pokorný
   SPDX-License-Identifier: AGPL-3.0-or-later
-->

# Getting help

In case you are lost, you need assistance or something is not discussed in this guide, you can ask the community for help. To be most efficient in seeking help, please describe your problem or question with all necessary information, for example:

- Name and version of the operating system
- Way of installation (deb/rpm packages, PyPI, docker, local git repository)
- Used bots and configuration
- Logs of bots or terminal output
- Any other useful messages, screenshots

Please report any errors and suggest improvements via [issues](https://github.com/certtools/intelmq/issues). Thank you!

## GitHub

GitHub offers a [discussion platform](https://github.com/certtools/intelmq/discussions) where you can ask questions and seek assistance.

To report bugs, [GitHub issues](https://github.com/certtools/intelmq/issues) are the ideal place to do so. Every IntelMQ component has it's own repository on GitHub, with a separate Issue tracker.

To participate on GitHub, you first need to create an account on the platform.

## Mailing list

The most traditional way is to ask your question, make a proposal or discuss a topic on the
mailing [IntelMQ Users mailing list](https://lists.cert.t/cgi-bin/mailman/listinfo/intelmq-users). You need to subscribe to the mailing list before posting, but the archive is publicly available: [IntelMQ Users Archive](https://lists.cert.at/pipermail/intelmq-users/).

## Assistance

If your organisation is a member of the [CSIRTs Network](https://csirtsnetwork.eu/), you are eligible for support in the [MeliCERTes project](https://melicertes.github.io/docs/). You can also ask on for individual support, some members offer support, including, but not limited to:

- [Aaron Kaplan](https://github.com/aaronkaplan/) (founder of IntelMQ)
- [Institute for Common Good Technology](https://commongoodtechnology.org/) (chairmen Sebastian Wager is an IntelMQ maintainer and developer)
- [Intevation GmbH](https://intevation.de/) (Develops and maintains several IntelMQ components)


